for side = 0, 5 do
    local bounds = {};
    bounds[0] = 0;
    bounds[1] = 8;
    bounds[2] = 0;
    bounds[3] = 8;
    bounds[4] = 4;
    bounds[5] = 8;
    bounds[side ~ 1] = 4;

    local colormap = vsp_clone(STAIRS_BASE_COLORMAP);
    vsp_fill_box(colormap, bounds, TRANSPARENT);

    local mask = vsp_clone(STAIRS_BASE_COLLISION_MASK);
    vsp_fill_box(mask, bounds, TRANSPARENT);

    local state_name = "entry" .. get_side_name(side);
    export_frame(state_name, {
        colormap = colormap,
        biasmap = STAIRS_BASE_BIASMAP,
        refractmap = STAIRS_BASE_REFRACTMAP,
        lightspecmap = STAIRS_BASE_LIGHTSPECMAP,
    });

    set_collision_mask(state_name, mask);
end